# Uses of Interface
org.jsoup.select.NodeFilter

Packages that use NodeFilter
Package
Description
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.select
Packages to support the CSS-style element selector.

## Uses of NodeFilter in org.jsoup.nodes

Methods in org.jsoup.nodes with parameters of type NodeFilter
Modifier and Type
Method
Description
`Element`
Element.`filter(NodeFilter nodeFilter)`
`Node`
Node.`filter(NodeFilter nodeFilter)`
Perform a depth-first filtering through this node and its descendants.

## Uses of NodeFilter in org.jsoup.select

Methods in org.jsoup.select with parameters of type NodeFilter
Modifier and Type
Method
Description
`Elements`
Elements.`filter(NodeFilter nodeFilter)`
Perform a depth-first filtering on each of the selected elements.
`static NodeFilter.FilterResult`
NodeTraversor.`filter(NodeFilter filter, Node root)`
Start a depth-first filtering of the root and all of its descendants.
`static void`
NodeTraversor.`filter(NodeFilter filter, Elements elements)`
Start a depth-first filtering of all elements.